This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 959059 - (CVE-2013-1986) CVE-2013-1986 libXrandr: Multiple integer overflows leading to heap-based bufer overflows
CVE-2013-1986 libXrandr: Multiple integer overflows leading to heap-based buf...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966813 1078032
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-03 01:41 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: libXrandr 1.4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-03 01:41:24 EDT
An integer overflow leading to heap-based buffer overflow was found in libXrandr, X.Org X11 libXrandr runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XRRQueryOutputProperty(), XRRQueryProviderProperty()
         [XRRQueryProviderProperty() was introduced in libXrandr 1.4.0 and is
          not found in 1.3.2 and older releases.]
Comment 9 Jan Lieskovsky 2013-05-23 11:34:23 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 10 Huzaifa S. Sidhpurwala 2013-05-23 23:45:46 EDT
Created libXrandr tracking bugs for this issue

Affects: fedora-all [bug 966813]
Comment 11 Fedora Update System 2013-05-27 22:15:20 EDT
libXrandr-1.4.0-4.20130524gitc90f74497.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-06-02 23:06:26 EDT
libXrandr-1.4.0-4.20130524gitc90f74497.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Huzaifa S. Sidhpurwala 2013-06-04 23:32:28 EDT
This issue affects the version of libXrandr as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 14 Huzaifa S. Sidhpurwala 2013-06-04 23:46:30 EDT
Statement:

This issue affects the libXrandr package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 15 Jan Lieskovsky 2013-06-17 08:58:53 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 17 errata-xmlrpc 2014-10-14 01:05:10 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.